
Summary:        Red Hat Enterprise Application Platform Documentation
Name:           rh-eap-docs
Version:        4.2.0
Release:        1.ep1.18
Epoch:          0
License:        LGPL
BuildArch:      noarch
Group:          Documentation

Source0:        %{name}.zip
Source1:        jta.zip
Source2:        ejb-persistence-api.zip
Source3:        hibernate-annotations.zip
Source4:        hibernate-entitymanager.zip
Source5:        gettingstarted.zip
Source6:        j2ee-examples.zip

# Virtual provide api docs
Provides:       ejb-persistence-3.0-api-javadoc = 0:3.0.0
Provides:       hibernate3-annotations-javadoc = 0:3.2.1
Provides:       hibernate3-entitymanager-javadoc = 0:3.2.1
Provides:       jbossts-jta-1.0.1-api-javadoc = 0:4.2.3

BuildRequires:  jpackage-utils
Requires(pre):  jpackage-utils
Requires:       jboss-seam-docs = 1.2.0
Requires:       hibernate3-javadoc = 3.2.4.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The %{name} package contains manuals and javadoc api's for the 
Red Hat Enterprise Application Platform.

%package zip
Summary:        Zipped docs for Red Hat Enterprise Application Platform.
Group:          Documentation

%description zip
Zip file containing documentation for Red Hat Enterprise Application Platform.

%package -n rh-eap-examples
Summary:        Examples for Red Hat Enterprise Application Platform.
Group:          Documentation/Examples
Requires:       jbossas

%description -n rh-eap-examples
Examples for Red Hat Enterprise Application Platform.

%prep
%setup -q -c -n rh-eap-docs

# Remove un-necessary common_content dir (we change readme below to point to new common_content dir)
rm -rf jboss-eap-4.2/Common_Content

%build

pushd jboss-eap-4.2

   # Unzip the jts and jta api docs
   mkdir doc/jbossts/api
   (cd doc/jbossts/api
     unzip -qq %{SOURCE1}
   )


  mkdir doc/hibernate/api
  (cd doc/hibernate/api
    unzip -qq %{SOURCE2}
    unzip -qq %{SOURCE3}
    unzip -qq %{SOURCE4}
  )

  # Copy over the examples
  mkdir doc/examples
  cp %{SOURCE5} doc/examples
  unzip -q -d doc/examples %{SOURCE6}

  for file in *.html; do
      sed -i -e s:jboss-seam-docs-1.2.0-1.AP.ep1.11.noarch.rpm:jboss-seam-docs-1.2.0-1.AP.ep1.19.noarch.rpm:g $file
      sed -i -e s:rh-eap-docs-4.2.0-1.ep1.5.noarch.rpm:rh-eap-docs-%{version}-%{release}.noarch.rpm:g $file
  done

popd

# ------------------------------------------
# Install
# ------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

pushd jboss-eap-4.2

  ### manuals ###
  install -dm 755 $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}

  # We want everything except api and example dirs
  cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}
  rm -rf $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/examples
  rm -rf $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/jbossts/api/*
  rm -rf $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/hibernate/api/*

  ### javadocs/apidocs ###
  install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/jbossts-jta-1.0.1-api-4.2.3
  install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/ejb-persistence-3.0-api-3.0.0
  install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/hibernate3-annotations-3.2.1
  install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/hibernate3-entitymanager-3.2.1

  ln -s jbossts-jta-1.0.1-api-4.2.3 $RPM_BUILD_ROOT%{_javadocdir}/jbossts-jta-1.0.1-api
  ln -s ejb-persistence-3.0-api-3.0.0 $RPM_BUILD_ROOT%{_javadocdir}/ejb-persistence-3.0-api
  ln -s hibernate3-annotations-3.2.1 $RPM_BUILD_ROOT%{_javadocdir}/hibernate3-annotations
  ln -s hibernate3-entitymanager-3.2.1 $RPM_BUILD_ROOT%{_javadocdir}/hibernate3-entitymanager

  # Hibernate docs
  cp -pr doc/hibernate/api/ejb-persistence-3.0-api/* $RPM_BUILD_ROOT%{_javadocdir}/ejb-persistence-3.0-api-3.0.0
  cp -pr doc/hibernate/api/hibernate-annotations/* $RPM_BUILD_ROOT%{_javadocdir}/hibernate3-annotations-3.2.1
  cp -pr doc/hibernate/api/hibernate-entitymanager/* $RPM_BUILD_ROOT%{_javadocdir}/hibernate3-entitymanager-3.2.1

  # TS docs
  cp -pr doc/jbossts/api/jta/* $RPM_BUILD_ROOT%{_javadocdir}/jbossts-jta-1.0.1-api-4.2.3

  # Link to javadocs from /usr/share/docs/..
  ln -s %{_javadocdir}/jbossts-jta-1.0.1-api $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/jbossts/api/jta
  ln -s %{_javadocdir}/hibernate3 $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/hibernate/api/hibernate-core
  ln -s %{_javadocdir}/ejb-persistence-3.0-api $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/hibernate/api/ejb-persistence-3.0-api
  ln -s %{_javadocdir}/hibernate3-annotations $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/hibernate/api/hibernate-annotations
  ln -s %{_javadocdir}/hibernate3-entitymanager $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/hibernate/api/hibernate-entitymanager
  ln -s %{_javadocdir}/jboss-seam-1.2.0/api $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}/seam

  # Examples
  install -dm 755 $RPM_BUILD_ROOT%{_datadir}/enterprise-application-platform-%{version}
  unzip -q -d $RPM_BUILD_ROOT%{_datadir}/enterprise-application-platform-%{version} doc/examples/gettingstarted.zip
  pushd $RPM_BUILD_ROOT%{_datadir}/enterprise-application-platform-%{version}
      mv gettingstarted/* .
      rmdir gettingstarted
  popd

  # Before packaging the zip,

  # 1. Copy over the readme
  cp -p readme.html $RPM_BUILD_ROOT%{_docdir}/enterprise-application-platform-%{version}

  # 2. Fix css link in readme to make it look in 
  # ./doc/Common_Content instead of in ./Common_Content
  sed -i -e s:"\./Common_Content/css/rhel\.css":"./doc/Common_Content/css/rhel.css": *.html

  ### docs zip ###
  zip -qr ../%{name}-%{version}-%{release}.zip *
popd

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev
install -m 644 %{name}-%{version}-%{release}.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/%{name}-%{version}-%{release}.zip

# ------------------------------
# Clean the build
# ------------------------------
%clean
rm -rf $RPM_BUILD_ROOT

# ------------------------------

%files
%defattr(644,root,root,755)
%doc %{_docdir}/enterprise-application-platform-%{version}
%doc %{_javadocdir}

%files zip
%defattr(644,root,root,755)
%{_javadir}/jbossas-fordev

%files -n rh-eap-examples
%defattr(644,root,root,755)
%doc %{_datadir}/enterprise-application-platform-%{version}

# ------------------------------

%changelog
* Thu Jun 28 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.18
- Create unversioned symlinks
- Fix provides names
- Update rpm/zip names in readmes

* Thu Jun 28 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.17
- Update to newest docs spin

* Mon Jun 25 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.16
- Re-add jta api docs
- Update to spin from 2007-06-22

* Wed Jun 20 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.15
- Remove JTS/JTA docs
- Incorporate latest doc spin from 2007-07-20

* Mon Jun 18 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.14
- Incorporate latest doc spin from 2007-07-18

* Fri Jun 08 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.13
- Incorporate latest doc spin from 2007-07-08

* Tue May 29 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.12
- Incorporate doc spin from 2007-05-29

* Mon May 14 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.11
- Disable copying over of seam api docs (done via installer rpm)

* Mon May 14 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.10
- Updated to latest docs spin
- Add an examples sub-package

* Fri May 11 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.9
- Update to latest docs

* Mon Apr 23 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.8
- Update to rc3 spin

* Fri Apr 20 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.7
- Add release notes to rpm install
- Fix links in doc index.html

* Fri Apr 20 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.6
- Updated docs to the latest copy
- Added the readme/release-notes

* Sun Apr 15 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.5
- Added buildroot cleanup at the beginning of %%install

* Fri Apr 13 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.4
- Added api docs for hibernate
- Fixed directory structre for RPM install

* Thu Apr 12 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.3
- Added JTS/JTA api docs
- Updated spec to use the .tar.gz (from docs dept.) directly

* Thu Apr 12 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.2
- Updated zip name

* Thu Apr 12 2007 Deepak Bhole <dbhole at redhat.com> - 4.2.0-1.ep1.1
- Initial build
